################################################################################################
## Configuration Template For GXP110x Firmware Version 1.0.8.4                                ##
################################################################################################

####################################################################
## Change Log                                                     ##
####################################################################
##########################################
# P values added since 1.0.8.4       
##########################################
##########################################
## P values added for Settings/Call Features
##########################################
# Bypass Dial Plan Through Call History and Directories. 0 - No. 1 - Yes. Default is 0
# Number: 0,1
# Mandatory
# P6758 = 0

##########################################
# P values added since 1.0.7.11        
##########################################
# Backup Outbound Proxy
# String
# P2333 = 

# Enable OPTIONS Keep Alive
# Number: 0, 1
# Mandatory
# P2397 = 0

# OPTIONS Keep Alive Interval
# Number: 1 - 64800
# Mandatory
# P2398 = 30

# OPTIONS Keep Alive Max Lost
# Number: 3 - 10
# Mandatory
# P2399 = 3

# Ignore Alert-Info header
# Number: 0, 1
# Mandatory
# P26018 = 0

# Force BLF Call-pickup by prefix
# Number: 0, 1
# P6752 = 0

##########################################
# P values added since 1.0.7.8        
##########################################
# Broadsoft Call Park. 0 - Disabled, 1 - Enabled. Default is 0 
# Number: 0, 1
# Mandatory
# P2388 = 0

##########################################
# P values added since 1.0.6.11        
##########################################
# Disable SIP NOTIFY Authentication. 0 -No, 1 - Yes. Default is No.
# Number: 0, 1
# P4428 = 0

# P values added for Multicast Paging
# P1566 - P1588
##########################################
# P values added for Account 1
##########################################
# Custom Call-info for Auto Answer. 
# String
# P2356 = 

# Disable Recovery on Blind Transfer. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P2384 = 0
##########################################
# P values added since 1.0.5.58        
##########################################
# Always Authenticate Before Challenge. 0 - No,  1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P20713 = 0

# Disable Multiple m line in SDP. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P137 = 0

# New option added for P198
# Special Feature. 100 - Standard, 101 - Nortel MCS, 102- Broadsoft, 108 - CBCOM, 109 - RNK, 110 - Sylantro, 117 - Huawei IMS, 119 - Phonepower
# Number: 100, 101, 102, 108, 109, 110, 117, 119. # Default is 100
# Mandatory
# P198 = 100

##########################################
# P values added since 1.0.5.26   
##########################################
# Crypto Life Time. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory 
# P2363 = 0

# Sort Phonebook by. 0 - Last Name. 1 - First Name. Default is 0
# Number: 0, 1
# Mandatory 
# P2914 = 0

# 3CX Auto Provision. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P1414 = 1

# Second Dial Tone
# String
# Mandatory
# P2909 = f1=350,f2=440;

# Hold Method. 0 - Auto, 1 - RFC3264. Default is 0
# Number: 0, 1
# Mandatory
# P2361 = 0

##########################################
# P values added since 1.0.5.23   
##########################################
# Enable Idle Mute. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P1565 = 0

# Enable LLDP.  0 - Disabled, 1 - Enabled. Default is 1
# Number: 0, 1
# Mandatory
# P1684 = 1

# Blink message LED on ringing. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P1696 = 0

##########################################
# P values' default value changed since 1.0.5.15    
##########################################
# Periodic Inform Interval
# Number
# P4507 = 86400

# Connection Request Port
# Number
# P4518 = 0

# Max Unsaved Log, 0-500, default is 200
# Number: 0-500
# Mandatory
# P1434 = 4

##########################################
# P values added since 1.0.4.23           
##########################################
# Music On Hold URI
# P2350 =

# Authenticate Incoming INVITE
# P2346 = 0

# HTTP Proxy
# String
# P1552 =

# HTTPS Proxy
# String
# P1553 =

# Enable FLASH Key as CONF. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P1390 = 0

# Click-To-Dial Feature. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P1561 = 0

# Call-Waiting Tone Gain. 0 - Low, 1 - Medium, 2 - High. Default is 0
# Number: 0, 1, 2
# Mandatory
# P1555 = 0

# Accept Incoming SIP from Proxy Only. 0 - No, 1 - Yes
# Number: 0, 1
# Mandatory
# P2347 = 0

# Caller ID Display. 0 - Auto, 1 - Disabled, 2 - From Header. Default is 0
# Number: 0, 1, 2
# Mandatory
# P2324 = 0

# Broadsoft Call Center. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P2341 = 0

# Hoteling Event. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P2342 = 0

# Call Center Status. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P2343 = 0

# PUBLISH to Call Center. 0 - No, 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P2340 = 0

# Use First Matching Vocoder in 200OK SDP. 0 - No, 1 - Yes
# Default is 0
# Number: 0, 1
# Mandatory
# P2348 = 0

##########################################
# P values deleted from 1.0.4.23          
##########################################
# China Telecom Mode. 0 - No. 1 - Yes. Default is 0.
# Number: 0, 1
# Mandatory
# P1386 =0

##########################################
# P values option updated since 1.0.4.23          
##########################################
# Option 12 added for P323, P324, P325, P326
# Key Mode.
# 0 - Speed Dial
# 5 - DialDTMF
# 6 - Voicemail
# 7 - CallReturn
# 8 - Transfer
# 10 - Intercom
# 12 - 3-way Conference
# Number: 0, 5, 6, 7, 8, 10, 12
# Mandatory
# P323 = 0
# P324 =0
# P325 = 0
# P326 = 0

####################################################################
## Change Log End                                                 ##
####################################################################


####################################################################
# Account Settings                                                ##
####################################################################
####################################################################
# Account 1                                                       ##
####################################################################
##########################################
# Account 1/General Settings
##########################################
# Account Active. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
P271 = 1

# Account Name
# String
P270 =

# SIP Server
# String
P47 =

# Secondary SIP Server
# String
P2312 =

# Outbound Proxy
# String
P48 =

# Backup Outbound Proxy
# String
P2333 = 

# SIP User ID
# String
P35 =

# Authenticate ID
# String
P36 =

# Authenticate Password
# String
P34 =

# Display Name
# String
P3 =

# Voice Mail UserID
# String
P33 =

##########################################
# Account 1/Network Settings
##########################################
# DNS Mode. 0 - A Record, 1 - SRV, 2 - NAPTR/SRV, 3 - Use Configured IP. Default is 0
# Number: 0, 1, 2, 3
# Mandatory
P103 = 0

# Primary IP. Maximum 15 characters
# String
P2308 =

# Backup IP 1
# String
P2309 =

# Backup IP 2
# String
P2310 =

# NAT Traversal. 0 - No, 1 - STUN, 2 - keep alive, 3 - UPnP, 4 - Auto, 5 - VPN. Default is 0.
# Number: 0, 1, 2, 3, 4, 5
# Mandatory
P52 = 0

# Proxy-Require (A SIP extension to enable firewall penetration). Max length is 64 characters
# String
P197 =

##########################################
# Account 1/SIP Settings/Basic Settings
##########################################
# TEL URI. 0 - Disabled, 1 - User=Phone, 2 - Enabled. Default is 0
# Number: 0, 1, 2
# Mandatory
P63 = 0

# SIP Registration. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
P31 = 1

# Unregister On Reboot. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P81 = 0

# Register Expiration (in minutes). Default is 60. Max about 45 days
# Number: 1 - 64800
# Mandatory
P32 = 60

# Reregister Before Expiration (in seconds). Default is 0 second
# Number: 0 - 64800
# Mandatory
P2330 = 0

# Enable OPTIONS Keep Alive
# Number: 0, 1
# Mandatory
P2397 = 0

# OPTIONS Keep Alive Interval
# Number: 1 - 64800
# Mandatory
P2398 = 30

# OPTIONS Keep Alive Max Lost
# Number: 3 - 10
# Mandatory
P2399 = 3

# Local SIP Port. Default is 5060
# Number
# Mandatory
P40 = 5060

# SIP Registration Failure Retry Wait Time (in seconds). Default is 20
# Number: 1 - 3600
# Mandatory
P138 = 20

# SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)
# 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec. Default is 50
# Number: 50, 100, 200
# Mandatory
P209 = 50

# SIP T2 Timeout. RFC 3261 T2 value. The maximum retransmit interval for non-INVITE requests and INVITE responses
# 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default is 400
# Number: 200, 400, 800
# Mandatory
P250 = 400

# SIP Transport. 0 - UDP, 1 - TCP, 2 - TLS/TCP. Default is 0
# Number: 0, 1, 2
# Mandatory
P130 = 0

# SIP URI Scheme when using TLS. 0 - sip, 1 - sips. Default is 1
# Number: 0, 1
# Mandatory
P2329 = 1

# Use Actual Ephemeral Port in Contact with TCP/TLS. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2331 = 0

# Remove OBP from Route. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2305 = 0

# Support SIP Instace ID. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
P288 = 1

# SUBSCRIBE for MWI. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P99 = 0

# SUBSCRIBE for Registration. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2319 = 0

# Enable 100rel. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P272 = 0

# Caller ID Display. 0 - Auto, 1 - Disabled, 2 - From Header. Default is 0
# Number: 0, 1, 2
# Mandatory
P2324 = 0

# Use Privacy Header
# 0 - Default, 1 - No, 2 - Yes. Default is 0
# Number: 0, 1, 2
# Mandatory
P2338 = 0

# Use P-Preferred-Identity Header
# 0 - Default, 1 - No, 2 - Yes. Default is 0
# Number: 0, 1, 2
# Mandatory
P2339 = 0

##########################################
# Account 1/SIP Settings/Advanced Features
##########################################
# Broadsoft Call Center. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2341 = 0

# Hoteling Event. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2342 = 0

# Call Center Status. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2343 = 0

# PUBLISH to Call Center. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2340 = 0

# Feature Key Synchronization. 0 - Disabled, 1 - Enabled. Default is 0
# Number: 0, 1
# Mandatory
P2325 = 0

# Broadsoft Call Park. 0 - Disabled, 1 - Enabled. Default is 0 
# Number: 0, 1
# Mandatory
P2388 = 0

# Line-Seize Timeout (in seconds). Default is 15
# Number: 15 - 60
# Mandatory
P2313 = 15

# Eventlist BLF URI
# String
P134 =

# Conference URI
# String
P2318 =

# Music On Hold URI
# String
P2350 =

# Force BLF Call-pickup by prefix
# Number: 0, 1
P6752 = 0

# BLF Call-pickup Prefix. Default is **
# String
# Mandatory
P1347 = **

# PUBLISH for Presence. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P188 = 0

# Special Feature. 100 - Standard, 101 - Nortel MCS, 102- Broadsoft, 108 - CBCOM, 109 - RNK, 110 - Sylantro, 117 - Huawei IMS, 119 - Phonepower
# Default is 100
# Number: 100, 101, 102, 108, 109, 110, 117, 119
# Mandatory
P198 = 100

##########################################
# Account 1/SIP Settings/Session Timer
##########################################
# Session Expiration (in seconds). Default is 180
# Number: 90 - 64800
# Mandatory
P260 = 180

# Minimum SE (in seconds). Default is 90. This value must be lower than or equal to P260
# Number: 90 - 64800
# Mandatory
P261 = 90

# Caller Request Timer (Request for timer when calling). 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P262 = 0

# Callee Request Timer (Request for timer when called. i.e. if remote party supports timer but did not request for one)
# 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P263 = 0

# Force Timer (Still use timer when remote party does not support timer). 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P264 = 0

# UAC Specify Refresher. 0 - omit, 1 - UAC, 2 - UAS. Default is 0
# Number: 0, 1, 2
# Mandatory
P266 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS. Default is 1
# Number: 1, 2
# Mandatory
P267 = 1

# Force INVITE (Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE).
# 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P265 = 0

##########################################
# Account 1/SIP Settings/Security Settings
##########################################
# Check Domain Certificates. When set to Yes/Enabled, domain certificate will be checked as defined in RFC5922
# 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2311 = 0

# Validate Incoming Messages. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2306 = 0

# Check SIP User ID for incoming INVITE. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P258 = 0

# Accept Incoming SIP from Proxy Only. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2347 = 0

# Authenticate Incoming INVITE. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2346 = 0

##########################################
# Account 1/Audio Settings
##########################################
# Send DTMF: In-audio. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2301 = 0

# Send DTMF: Via RTP (RFC2833). 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
P2302 = 1

# Send DTMF: Via SIP INFO. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2303 = 0

# DTMF Payload Type. Default is 101
# Number: 96 - 127
# Mandatory
P79 = 101

# Preferred Vocoder
# 0 - PCMU, 2 - G.726-32, 4 - G.723.1, 8 - PCMA, 9 - G.722, 18 - G.729A/B, 98 - iLBC
# choice 1. Default is 0
# Number: 0, 2, 4, 8, 9, 18, 98
# Mandatory
P57 = 0

# choice 2. Default is 8
# Number: 0, 2, 4, 8, 9, 18, 98
# Mandatory
P58 = 8

# choice 3. Default is 4
# Number: 0, 2, 4, 8, 9, 18, 98
# Mandatory
P59 = 4

# choice 4. Default is 18
# Number: 0, 2, 4, 8, 9, 18, 98
# Mandatory
P60 = 18

# choice 5. Default is 9
# Number: 0, 2, 4, 8, 9, 18, 98
# Mandatory
P61 = 9

# choice 6. Default is 98
# Number: 0, 2, 4, 8, 9, 18, 98
# Mandatory
P62 = 98

# choice 7. Default is 2
# Number: 0, 2, 4, 8, 9, 18, 98
# Mandatory
P46 = 2

# Use First Matching Vocoder in 200OK SDP. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2348 = 0

# Disable Multiple m line in SDP. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P137 = 0

# SRTP Mode. 0 - Disabled, 1 - Enabled but not forced, 2 - Enabled and forced, 3 - Optional. Default is 0
# Number: 0, 1, 2, 3
# Mandatory
P183 = 0

# Crypto Life Time. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory 
P2363 = 0

# Symmetric RTP. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P291 = 0

# Silence Suppression. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P50 = 0

# Voice Frames per TX (up to 10/20/32/64 frames for G711/G726/G723/other codecs respectively). Default is 2
# Number: 1 - 64
# Mandatory
P37 = 2

# G723 rate. 0 - 6.3kbps encoding rate, 1 - 5.3kbps encoding rate. Default is 1
# Number: 0, 1
# Mandatory
P49 = 1

# G.726-32 Packing Mode. 0 - ITU, 1 - IETF. Default is 0
# Number: 0, 1
# Mandatory
P2323 = 0

# iLBC Frame Size. 0 - 20ms, 1 - 30ms. Default is 1
# Number: 0, 1
# Mandatory
P97 = 1

# iLBC payload type. Default is 97
# Number: 96 - 127
# Mandatory
P96 = 97

# Jitter Buffer Type. 0 - Fixed, 1 - Adaptive. Default is 1
# Number: 0, 1
# Mandatory
P133 = 1

# Jitter Buffer Length. 0 - 100ms, 1 - 200ms, 2 - 300ms, 3 - 400ms, 4 - 500ms, 5 - 600ms, 6 - 700ms, 7 - 800ms
# Default is 2
# Number: 0, 1, 2, 3, 4, 5, 6, 7
# Mandatory
P132 = 2

##########################################
# Account 1/Call Settings
##########################################
# Early Dial (use "Yes" only if proxy supports 484 response). 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P29 = 0

# Dial Plan Prefix
# String 
P66 =

# Dial Plan. Default is { x+ | *x+ | *xx*x+ }
# String
# Mandatory
P290 = { x+ | *x+ | *xx*x+ }

# Delayed Call Forward Wait Time (in seconds). Default is 20
# Number: 1 - 120
# Mandatory
P139 = 20

# Enable Call Features.  0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
P191 = 1

# Call Log. 0 - Log All, 1 - Log Incoming/Outgoing only (Missed calls NOT recorded), 2 - Disable Call Log. Default is 0
# Number: 0, 1, 2
# Mandatory
P182 = 0

# Account Ring Tone. 0 - system ring tone, 1 - custom ring tone 1, 2 - custom ring tone 2, 3 - custom ring tone 3. Default is 0
# Number: 0, 1, 2, 3
# Mandatory
P104 = 0

# Matching Incoming Caller ID. Matching Rule 1
# String
P1488 = 

# Matching Rule 1 Distinctive Ringtone
# 0 - system ring tone, 1 - custom ring tone 1, 2 - custom ring tone 2, 3 - custom ring tone 3. Default is 0.
# Number: 0, 1, 2, 3
# Mandatory
P1489 = 0

# Matching Incoming Caller ID. Matching Rule 2
# String
P1490 = 

# Matching Rule 2 Distinctive Ringtone
# 0 - system ring tone, 1 - custom ring tone 1, 2 - custom ring tone 2, 3 - custom ring tone 3. Default is 0
# Number: 0, 1, 2, 3
# Mandatory
P1491 = 0

# Matching Incoming Caller ID. Matching Rule 3
# String
P1492 =

# Matching Rule 3 Distinctive Ringtone
# 0 - system ring tone, 1 - custom ring tone 1, 2 - custom ring tone 2, 3 - custom ring tone 3. Default is 0
# Number: 0, 1, 2, 3
# Mandatory
P1493 = 0

# Ring Timeout (in seconds). Default is 60
# Number: 30 - 3600
# Mandatory
P1328 = 60

# Send Anonymous (caller ID will be blocked if set to Yes). 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P65 = 0

# Anonymous Call Rejection. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P129 = 0

# Allow Auto Answer by Call-Info. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P298 = 0

# Custom Call-info for Auto Answer. 
# String
# P2356 = 

# Refer-To Use Target Contact. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P135 = 0

# Transfer on conference Hang-Up. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2304 = 0

# Disable Recovery on Blind Transfer. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P2384 = 0

# No Key Entry Timeout (in seconds). Default is 4
# Number: 1 - 15
# Mandatory
P85 = 4

# Use # as Dial Key. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
P72 = 1

# Hold Method. 0 - Auto, 1 - RFC3264. Default is 0
# Number: 0, 1
# Mandatory
P2361 = 0

##############################################################################
## Network/Basic Settings                                                   ##
##############################################################################

# Internet Protocol. 0 - Prefer IPv4, 1 - Prefer IPv6. Default is 0
# Number: 0, 1
# Mandatory
P1415 = 0

# IP Address Mode. 0 - DHCP, 1 - Static IP, 2 - PPPoE. Default is 0
# Number: 0, 1, 2
# Mandatory
# P8 = 0

##########################################
# DHCP
##########################################
# Host name, DHCP option 12. Max length allowed is 64 characters
# String
P146 =

# Vendor Class ID, DHCP option 60. Max length allowed is 64 characters
# Default value for GXP1100 - Grandstream GXP1100
# Default value for GXP1105 - Grandstream GXP1105
# String
# P148 =  Grandstream GXP

##########################################
# PPPoE
##########################################
# PPPoE Account ID
# String
P82 =

# PPPoE Password
# String
# Cannot contain ` or "
P83 =

# PPPoE Service Name
# String 
P269 =

##########################################
# Statically Configured
##########################################
# IP Address. Ignore if DHCP or PPPoE is used
# Number: 0 - 255
P9 = 192

# Number: 0 - 255
P10 = 168

# Number: 0 - 255
P11 = 0

# Number: 0 - 255
P12 = 160

# Subnet mask. Ignore if DHCP or PPPoE is used
# Number: 0 - 255
P13 = 255

# Number: 0 - 255
P14 = 255

# Number: 0 - 255
P15 = 0

# Number: 0 - 255
P16 = 0

# Gateway. Ignore if DHCP or PPPoE is used
# Number: 0 - 255
P17 = 0

# Number: 0 - 255
P18 = 0

# Number: 0 - 255
P19 = 0

# Number: 0 - 255
P20 = 0

# DNS 1 Server. Ignore if DHCP or PPPoE is used
# Number: 0 - 255
P21 = 0

# Number: 0 - 255
P22 = 0

# Number: 0 - 255
P23 = 0

# Number: 0 - 255
P24 = 0

# DNS 2 Server. Ignore if DHCP or PPPoE is used
# Number: 0 - 255
P25 = 0

# Number: 0 - 255
P26 = 0

# Number: 0 - 255
P27 = 0

# Number: 0 - 255
P28 = 0

# Preferred DNS server.  (if specified).
# Number: 0 - 255
P92 = 0

# Number: 0 - 255
P93 = 0

# Number: 0 - 255
P94 = 0

# Number: 0 - 255
P95 = 0

# IPv6 Address type. 0 - Auto Configured, 1 - Statically Configured. Default is 0.
# Number: 0, 1
# Mandatory
P1419 = 0

# DNS Server 1 for IPv6 Address
# String: a-z, A-Z, 0-9, ".", ":", "[", "]"
P1424 =

# DNS Server 2 for IPv6 Address
# String: a-z, A-Z, 0-9, ".", ":", "[", "]"
P1425 =

# Preferred DNS Server for IPv6 Address
# String: a-z, A-Z, 0-9, ".", ":", "[", "]"
P1423 =

# IPv6 Address type: Statically configured. 0 - Full Static, 1 - Prefix Static
# Number: 0, 1
# P1426 =

# Full Static: Static IPv6 Address
# P1420 =

# Full Static: IPv6 Prefix Length
# P1421 =

# Prefix Static: IPv6 Prefix (64bits)
# P1422 =

##############################################################################
## Network/Advanced Settings
##############################################################################

# 802.1X Mode. 0 - disable, 1 - EAP-MD5. Default is 0
# Number: 0, 1
# Mandatory
P7901 = 0

# 802.1X Identity. Max length allowed is 64 characters
# String
P7902 = 

# MD5 Password. Max length allowed is 64 characters
# String
P7903 =

# HTTP Proxy
# String
P1552 =

# HTTPS Proxy
# String
P1553 =

# Layer 3 QoS (IP Diff-Serv or Precedence value for RTP). Default is 12
# Number: 0 - 63
# Mandatory
P38 = 12

# Layer 2 QoS. 802.1Q/VLAN Tag (VLAN classification for RTP). Default is 0
# Number: 0 - 4094
# Mandatory
P51 = 0

# Layer 2 QoS. 802.1p priority value (0 - 7). Default is 0
# Number: 0 - 7
# Mandatory
P87 = 0

# Enable LLDP.  0 - Disabled, 1 - Enabled. Default is 1
# Number: 0, 1
# Mandatory
P1684 = 1

##############################################################################
##  Maintenance/ Web Access
##############################################################################
# End User Password
# String: a-z, A-Z, 0-9
P196 =

# Admin password for web interface
# String: a-z, A-Z, 0-9
P2 = admin

##############################################################################
##  Maintenance/Upgrade and Provisioning
##############################################################################

# Firmware Upgrade and Provisioning
# 0 - Always Check For New Firmware
# 1 - Check New Firmware only when F/W pre/suffix changes
# 2 - Always Skip the Firmware Check
# Number: 0, 1, 2
# Mandatory
P238 = 0

# XML Config File Password
# String
P1359 =

# HTTP/HTTPS User Name
# String
P1360 =

# HTTP/HTTPS Password
# String
P1361 =

# Always Authenticate Before Challenge. 0 - No,  1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P20713 = 0

# Firmware Upgrade Via. 0 - TFTP Upgrade,  1 - HTTP Upgrade, 2 - HTTPS Upgrade. Default is 1
# Number: 0, 1, 2
# Mandatory
P212 = 1

# Firmware Server Path
# String
P192 = fm.grandstream.com/gs

# Config Server Path
# String
P237 = fm.grandstream.com/gs

# Firmware File Prefix
# String
P232 =

# Firmware File Postfix
# String
P233 =

# Config File Prefix
# String
P234 =

# Config File Postfix
# String
P235 =

# Allow DHCP Option 43 and Option 66 to override server. 0 - No, 1 - Yes. Default is 1
# When set to Yes(1), it will override the configured provision path and method
# Number: 0, 1
# Mandatory
P145 = 1

# Allow DHCP Option 120 to Override SIP Server
# 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P1411 = 0

# 3CX Auto Provision. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
P1414 = 1

# Automatic Upgrade. 
# 0 - No, 
# 1 - Yes, check for upgrade based on minute(s) setting,
# 2 - Yes, check for upgrade based on Hour of Day setting,
# 3 - Yes, check for upgrade based on Day of Week setting,
# Default is No.
# Number: 0, 1, 2, 3
# Mandatory
P194 = 0

# Check for new firmware every () minutes. Default is 7 days.
# Number: 60-86400
# Mandatory
P193 = 10080

# Hour of the Day (0-23). Default is 1
# Number: 0 - 23
P285 = 1

# Day of the Week (0-6). Default is 1
# Number: 0-6
P286 = 1

# Disable SIP NOTIFY Authentication. 0 -No, 1 - Yes. Default is No.
# Number: 0, 1
P4428 = 0

# Authenticate Conf File. 0 - No, 1 - Yes. Default is No
# Number: 0, 1
# Mandatory
P240 = 0

##############################################################################
##  Maintenance/Syslog
##############################################################################

# Syslog Server (name of the server, max length is 64 characters)
# String
P207 =

# Syslog Level. 0 - NONE, 1 - DEBUG, 2 - INFO, 3 - WARNING, 4 - ERROR. Default is 0
# Number: 0, 1 , 2, 3, 4
# Mandatory
P208 = 0

# Send SIP Log. 0 - Do not send SIP log in Syslog, 1 - Send SIP log in Syslog if configured and set to DEBUG level. Default is 0
# Number: 0, 1
# Mandatory
P1387 = 0

# Auto recover from abnormal. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
P1438 = 1

##############################################################################
##  Maintenance/Language
##############################################################################

# Display Language. Default is auto
# ar - Arabic, cz - Czech, de - Deutsh
# en - English, es - Spanish, fr - Francais
# he - Hebrew, hr - Hrvatski, hu - Magyar 
# it - Italiano, ja - japanese, ko - korean
# nl - Dutch, pl - Polski, pt - Portugue
# ru - Russian, se - Svenska, sl - Slovenian
# tr - Turkish, zh-tw - traditional chinese
# zh - simplified chinese, auto - Automatic
# gxp - Downloaded Language
# String
# Mandatory
P1362 = auto

# Language File postfix (for Downloaded Language)
# String
P399 =

##############################################################################
##  Maintenance/TR-069
##############################################################################

# Enable TR069. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P1409 = 0

# ACS URL
# String
# P4503 =

# TR-069 Username
# String
P4504 =

# TR-069 Password
# String
P4505 =

# Periodic Inform Enable. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P4506 = 0

# Periodic Inform Interval
# Number
P4507 = 86400

# Connection Request Username	
# String: a-z, A-Z, 0-9
P4511 =

# Connection Request Password	
# String: a-z, A-Z, 0-9
P4512 =

# Connection Request Port
# Number
P4518 = 0

# CPE SSL Certificate
# String: a-z, A-Z, 0-9
P8220 =

# CPE SSL Private Key
# String: a-z, A-Z, 0-9
P8221 =

##############################################################################
##  Maintenance/Security
##############################################################################

# SIP TLS Certificate
# String: a-z, A-Z, 0-9
# P280 =

# SIP TLS Private Key
# String: a-z, A-Z, 0-9
# P279 =

# SIP TLS Private Key Password
# String: a-z, A-Z, 0-9
P281 = s1pphone

# Web Access Mode. 0 - HTTPS, 1 - HTTP. Default is 1
# Number: 0, 1
# Mandatory
P1650 = 1

# Disable SSH. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
P276 = 0

##############################################################################
##  Settings/General Settings
##############################################################################
# Local RTP port. Default is 5004
# Number: 1024 - 65535. Must be even number
# Mandatory
P39 = 5004

# Use Random Port. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P78 = 0

# Keep-alive interval (in seconds). Default is 20
# Number: 10 - 160
# Mandatory
P84 = 20

# Use NAT IP. This will enable our SIP client to use this IP in the SIP/SDP message. Example 64.3.153.50
# String: a-z, A-Z, 0-9, ".", ":"
P101 =

# STUN server
# String
P76 =

##############################################################################
##  Settings/Call Features
##############################################################################
# Off-hook Auto Dial
# String
P71 =

# Off-hook timeout (in seconds). Default is 30
# Number: 10 - 60
# Mandatory
P1485 = 30

# Bypass Dial Plan Through Call History and Directories. 0 - No. 1 - Yes. Default is 0
# Number: 0,1
# Mandatory
P6758 = 0

# Disable Call Waiting. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P91 = 0

# Disable Call-Waiting Tone. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P186 = 0

# Disable Direct IP Call. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P1310 = 0

# Use Quick IP-call mode. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P184 = 0

# Disable Conference. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P1311 = 0

# Enable MPK sending DTMF, 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P1339 = 0

# Enable Idle Mute. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P1565 = 0

# Disable Transfer. 0 - No, 1 - Yes. Defauls is 0
# Number: 0, 1
# Mandatory
P1341 = 0

# In-call dial number on pressing transfer key
# String
P1525 =

# Auto-Attended Transfer. 0 - No, 1 -Yes. Default is 0
# Number: 0, 1
# Mandatory
P1376 = 0

# Do not escape '#' as 23% in SIP URL. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P1406 = 0

# Click-To-Dial Feature. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P1561 = 0

# Blink message LED on ringing. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P1696 = 0

# Call History Flash Writing: 0 means this option is disabled
# Write Timeout, 30-3600, in seconds, default is 300
# Number: 30 - 3600
# Mandatory
P1433 = 300

# Max Unsaved Log, 0-500, default is 200
# Number: 0-500
# Mandatory
P1434 = 4

# Enable FLASH Key as CONF. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P1390 = 0

##############################################################################
##  Settings/Multicast Paging
##############################################################################
# Paging Barge. 0 - Disable, 1 - priority 1, 2 - priority 2, 3 - priority 3, 
# 4 - priority 4, 5 - priority 5, 6 - priority 6, 7 - priority 7, 8 - priority 8,
# 9 - priority 9, 10 - priority 10. Default is 0.
# Number: 0 - 10
# Mandatory
P1566 = 0

# Paging Priority Active. 0 - Disabled, 1 - Enabled
# Number: 0, 1
# Mandatory
P1567 = 0

# Multicast Paging Codec. 18 - G.729A/B, 0 - PCMU, 8 - PCMA, 2 - G.726-32, 9 - G.722
# Number: 18, 0, 8, 2, 9. Default is 0.
# Mandatory
P1568 = 0

### Multicast Listening ### 
# Priority 1
# Listening Address
# String
# P1569 = 

# Label
# String
# P1570 = 

# Priority 2
# Listening Address
# String
# P1571 = 

# Label
# String
# P1572 = 

# Priority 3
# Listening Address
# String
# P1573 = 

# Label
# String
# P1574 = 

# Priority 4
# Listening Address
# String
# P1575 = 

# Label
# String
# P1576 = 

# Priority 5
# Listening Address
# String
# P1577 = 

# Label
# String
# P1578 = 

# Priority 6
# Listening Address
# String
# P1579 = 

# Label
# String
# P1580 = 

# Priority 7
# Listening Address
# String
# P1581 = 

# Label
# String
# P1582 = 

# Priority 8
# Listening Address
# String
# P1583 = 

# Label
# String
# P1584 = 

# Priority 9
# Listening Address
# String
# P1585 = 

# Label
# String
# P1586 = 

# Priority 10
# Listening Address
# String
# P1587 = 

# Label
# String
# P1588 = 

##############################################################################
##  Settings/Ring Tone
##############################################################################
### Call Progress Tones ###
# Syntax: f1=val,f2=val[,c=on1/off1[-on2/off2[-on3/off3]]]; 
# (Frequencies are in Hz and cadence on and off are in 10ms) 

# System Ring Tone
# String
# Mandatory
P345 = f1=440,f2=480,c=200/400;

# Dial Tone
# String
# Mandatory
P343 = f1=350,f2=440;

# Second Dial Tone
# String
# Mandatory
P2909 = f1=350,f2=440;

# Message Waiting Tone
# String
# Mandatory
P344 = f1=350,f2=440,c=10/10;

# Ring Back Tone
# String
# Mandatory
P346 = f1=440,f2=480,c=200/400;

# Call-Waiting Tone
# String
# Mandatory
P347 = f1=440,f2=440,c=25/525;

# Call-Waiting Tone Gain. 0 - Low, 1 - Medium, 2 - High. Default is 0
# Number: 0, 1, 2
# Mandatory
P1555 = 0

# Busy Tone
# String
# Mandatory
P348 = f1=480,f2=620,c=50/50;

# Reorder Tone
# String
# Mandatory
P349 = f1=480,f2=620,c=25/25;

##############################################################################
##  Settings/Audio Control
##############################################################################
# Handset TX gain(db). 1 - -6, 0 - 0, 2 - +6. Default is 0
# Number: 0, 1, 2
# Mandatory
P1464 = 0

##############################################################################
##  Settings/Programmable Keys
##############################################################################
##########################################
# Multi-Purpose Keys 
##########################################
# Multipupose Key 1
##########################################
# Key Mode.
# 0 - Speed Dial
# 5 - DialDTMF
# 6 - Voicemail
# 7 - CallReturn
# 8 - Transfer
# 10 - Intercom
# 12 - 3-way Conference
# 13 - Multicast Paging
# Number: 0, 5, 6, 7, 8, 10, 12, 13
# Mandatory
P323 = 0

# Account. 0 - Account 1
# Number: 0
# Mandatory
P301 = 0

# Name. Max length allowed is 32 characters
# String
P302 =

# User ID.  Max length allowed is 64 characters
# String
P303 =

# Multipupose Key 2
##########################################
# Key Mode. 
# 0 - Speed Dial
# 5 - DialDTMF
# 6 - Voicemail
# 7 - CallReturn
# 8 - Transfer
# 10 - Intercom
# 12 - 3-way Conference
# 13 - Multicast Paging
# Number: 0, 5, 6, 7, 8, 10, 12, 13
# Mandatory
P324 =0

# Account. 0 - Account 1
# Number: 0
# Mandatory
P304 = 0

# Name. Max length allowed is 32 characters
# String
P305 =

# User ID. Max length allowed is 64 characters.
# String
P306 =

# Multipupose Key 3
########################################## 
# Key Mode. 
# 0 - Speed Dial
# 5 - DialDTMF
# 6 - Voicemail
# 7 - CallReturn
# 8 - Transfer
# 10 - Intercom
# 12 - 3-way Conference
# 13 - Multicast Paging
# Number: 0, 5, 6, 7, 8, 10, 12, 13
# Mandatory
P325 = 0

# Account. 0 - Account 1
# Number: 0
# Mandatory
P307 = 0

# Name. Max length allowed is 32 characters
# String
P308 =

# User ID. Max length allowed is 64 characters
# String
P309 =

# Multipupose Key 4
##########################################
# Key Mode. 
# 0 - Speed Dial
# 5 - DialDTMF
# 6 - Voicemail
# 7 - CallReturn
# 8 - Transfer
# 10 - Intercom
# 12 - 3-way Conference
# 13 - Multicast Paging
# Number: 0, 5, 6, 7, 8, 10, 12, 13
# Mandatory
P326 = 0

# Account. 0 - Account 1
# Number: 0
# Mandatory
P310 = 0

# Name. Max length allowed is 32 characters
# String
P311 =

# User ID. Max length allowed is 64 characters
# String
P312 =

##############################################################################
##  Phonebook/Phonebook Management
##############################################################################
# Sort Phonebook by. 0 - Last Name. 1 - First Name. Default is 0
# Number: 0, 1
# Mandatory 
P2914 = 0

# Phonebook Key Function. 0 - Default, 1 - LDAP Search, 2 - Local Phonebook, 3 - Local Group.
# Number: 0, 1, 2, 3.
# Mandatory
P1526 = 0
